%define initdir /etc/rc.d/init.d

Summary: Configuration tool for internet connections
Name: internet-config
Version: 0.40
Release: 1
Source: http://people.redhat.com/than/%{name}-%{version}.tar.bz2
Group: Applications/System
URL: http://people.redhat.com/than
BuildRoot: %{_tmppath}/%{name}-buildroot
Obsoletes: isdn-config adsl-config isdnconfig
Requires: initscripts >= 5.56, rh-dialup-conf
Provides: isdn-config adsl-config isdnconfig
License: GPL
BuildPrereq: qt-devel >= 2.2.0

%description
Internet-config is a tool that will let you configure your internet
connection(s) using PPP, ISDN and/or DSL.

%prep
%setup -q
test -f Makefile.in || make -f Makefile.cvs

%build
QTDIR="" && source /etc/profile.d/qt.sh
%configure

make

%install
rm -rf $RPM_BUILD_ROOT

export QTDIR=%{qtdir}
make install DESTDIR=$RPM_BUILD_ROOT transform=
%find_lang %{name}

%post
/sbin/chkconfig --add isdn
 
%preun
if [ "$1" = "0" ]; then
  /sbin/service isdn stop > /dev/null 2>&1
  /sbin/chkconfig --del isdn
fi
 
%postun
if [ "$1" -ge "1" ]; then
  /sbin/service isdn condrestart > /dev/null 2>&1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%config %{initdir}/isdn
%dir /etc/sysconfig/provider
/etc/X11/applnk/System/*
%config /etc/pam.d/*
%config /etc/security/console.apps/*
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%doc %{_docdir}/HTML/*/%{name}

%changelog
* Wed Apr  4 2001 Than Ngo <than@redhat.com>
- fix a problem by starting of rp3-config/kppp (bug #28426)

* Sun Mar 18 2001 Than Ngo <than@redhat.com>
- fix a bug in change io and irq for teles 16.3C PnP (Bug #32123)

* Tue Mar 13 2001 Than Ngo <than@redhat.com>
- fix bug in setting static routes to ISDN devices (Bug #31436)

* Sun Mar 11 2001 Than Ngo <than@redhat.com>
- some bugfixes in isdn script
- fix a bug by writing isdncard configuration

* Sat Mar 10 2001 Than Ngo <than@redhat.com>
- fix a bug in change ISDN Card in combobox
- fix some bugs in ISDN database
- fix a bug in authentication (Bug #31093)
- fix some cosmetic bugs (Bug #31095)
- some bugfixes for Sedlbauer PCMCIA ISDN Speedstar I and II to work
  with kernel-2.4

* Wed Mar 07 2001 Than Ngo <than@redhat.com>
- fixed some bugs in help files and minor
  inconsistencies/spelling errors (Bug #30959)

* Tue Feb 27 2001 Than Ngo <than@redhat.com>
- make isdn loading at boot time (Bug #29768)
- add status entry in isdn script

* Mon Feb 26 2001 Than Ngo <than@redhat.com>
- fix a problem with setting extra options (Bug #29378)
- fix to handle special chars in username (Bug #29376)
- fix CCP-compression (bug #29377)
- make isdnlog more configurable (Bug #29375)

* Fri Feb 23 2001 Than Ngo <than@redhat.com>
- add ASUS ISDN Card PCI
- add Dynalink 128PH PCI
- update call by call ISDN provider database

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- allow configuration of dialup via modem if
  kppp or rp3-config exists

* Mon Feb 12 2001 Than Ngo <than@redhat.com>
- fixed USEPEERDNS in adsl, it should work now
- obsolete isdnconfig

* Sun Feb 11 2001 Than Ngo <than@redhat.com>
- some fixes in writting of adsl configuration
- set provider activ as default for isdn
- allow users to start isdn or adsl directly
- add missing requires rp-pppoe

* Fri Feb  9 2001 Than Ngo <than@redhat.com>
- fixed i18n in isdn script (bug #26510, #26531)

* Sun Feb 04 2001 Than Ngo <than@redhat.com>
- fixed bug #25970
- fixed a problem at applying of provider configuration
- fixed validation of provider name
- fixed a segmention fault in editing of provider

* Sat Feb 03 2001 Than Ngo <than@redhat.com>
- allow users to configure USEPEERDNS in adsldialog
- allow users to configure the second DNS server in adsldialog
- fixed saving of adsl settings
- add BOOT enviroment, it makes pppoe script happy
- fixed german internationalisation
- use lang finder macro

* Tue Jan 30 2001 Than Ngo <than@redhat.com>
- added provider of Uni Hamburg into isdn database
- updated documents
- fixed wrong phone number of t-online
- added t-online flatrate into ISDN database
- hacked isdn script so that prefix is set correct at dialing
- fixed a problem at applying of configuration, apply button should be disable
  after saving of the current configuration
- fixed sensitive information given on cmd-line (Bug #23066)
- fixed losing of hardware configuration by some activ isdn cards
- some fixes in initscript internationalisation

* Tue Jan 23 2001 Than Ngo <than@redhat.com>
- Redo initscript internationalisation, use /bin/bash instead /bin/sh
- fixed validation of input text

* Mon Jan 22 2001 Than Ngo <than@redhat.com>
- fixed wrong compression option in isdn script
- don't hardcode version number

* Sun Jan 21 2001 Than Ngo <than@redhat.com>
- fixed CBCP protocol (bug #18788)
- fixed loading option files
- fixed loading DNS when the user has configured more DNS before
- added validation of input text
- initscripts translations
- added symbolic links for isdn-config and adsl-config for
  backward comatibility
- fixed prefix, It is not always a 0

* Wed Jan 17 2001 Than Ngo <than@redhat.com>
- add missing images, isdn database, documents
  and isdn startup script.

* Tue Jan 16 2001 Than Ngo <than@redhat.com>
- merging isdn-config and adsl-config

* Mon Dec 18 2000 Than Ngo <than@redhat.com>
- speed fax+ ISA needs to load firmware, fixed
 
* Mon Dec 04 2000 Than Ngo <than@redhat.com>
- fixed syncron ppp and static ip
- fixed provider optionfile
 
* Fri Nov 24 2000 Than Ngo <than@redhat.com>
- isdnlog can be started without provider configuration
- support Sedlbauer Speed fax+ PCI
- don't add gateway and gatewaydev by dialmode=manuell
 
* Mon Nov 6 2000 Than Ngo <than@redhat.com>
- fixed isdn script, /etc/isdn/ibod.cf instead /etc/ppp/ibod.cf
  don't start ibod when channel bundling disable
 
* Thu Nov 2 2000 Than Ngo <than@redhat.com>
- don't start ISDN daemon again when it's already started
- start ibod when channel bundling activ. It automatically activates
  the 2 channel if needed.
- made 0.18-4 for Halloween in Germany
 
* Thu Nov 2 2000 Than Ngo <than@redhat.com>
- the default route gets removed when the isdn connect goes down, fixed (Bug #17968)
- fixed isdn autodial (Bug #19341)
- fixed typos in isdnscript
 
* Mon Oct 30 2000 Than Ngo <than@redhat.com>
- fixed channel bundling problem with sync ppp
 
* Tue Oct 24 2000 Than Ngo <than@redhat.com>
- 0.18 for 7.1
 
* Fri Oct 20 2000 Than Ngo <than@redhat.com>
- fixed isdn-config for working with the new qt-2.2.1
 
* Mon Oct 16 2000 Than Ngo <than@redhat.com>
- fixed PAM configuration (Bug #18341)
 
* Fri Oct 13 2000 Than Ngo <than@redhat.com>
- fixed typos (Bug #19029)
 
* Thu Aug 24 2000 Erik Troan <ewt@redhat.com>
- added it, es translations
 
* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- rebuilt against new qt-2.2.0-beta2
- add BuildPrereq: qt-devel => 2.0.0
 
* Sat Aug 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up specfile
 
* Fri Aug 11 2000 Than Ngo <than@redhat.com>
- fix to detect PCI Teles ISDN card correct
 
* Tue Aug 08 2000 Than Ngo <than@redhat.de>
- fix isdn script
 
* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- fixed auto dectect PCI isdncard
 
* Fri Aug 4 2000 Than Ngo Than <than@redhat.de>
- mark /etc/pam.d/isdn-config /etc/security/console.apps/isdn-config
  as config file
- add swedish translation in isdn-config.desktop file (Bug #15356)
 
* Thu Aug 3 2000 Than Ngo <than@redhat.de>
- rebuilt against the libpng-1.0.8
 
* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add condrestart in startup script
 
* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version
 
* Tue Jul 11 2000 Than Ngo <than@redhat.de>
- inits back to rc.d/init.d, using service to fire them up
 
- clean up specfile
- fix authentication with chap (Bug #14186)
 
* Wed Jul 05 2000 Than Ngo <than@redhat.de>
- add macro to handle the initscript directory
- add macro to handle /etc/pam.d/system-auth
- fix initscript to work with the /etc/rc.d/init.d
  and /etc/init.d
 
* Tue Jul 04 2000 Than Ngo <than@redhat.de>
- Rebuild with egcs++
 
* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- don't prereq, only require initscripts
 
* Mon Jun 26 2000 Than Ngo <than@redhat.de>
- /etc/rc.d/init.d -> /etc/init.d
- add condrestart directive
- fix post/preun/postun scripts
- prereq initscripts >= 5.20
 
* Sun Jun 25 2000 Than Ngo <than@redhat.de>
- add support channel bundling
- fix isdn script to support of channel bundling (Bug #12090)
 
* Wed Jun 21 2000 Than Ngo <than@redhat.de>
- fix i18n
 
* Mon Jun 19 2000 Than Ngo <than@redhat.de>
- conf.modules->modules.conf (Bug# 12591)
- fix isdn-view, it handles many differnt brownser (Bug# 12610)
 
* Fri Jun 09 2000 Than Ngo <than@redhat.de>
- fix geometrie problem with enlightenment
 
* Mon Jun 05 2000 Than <than@redhat.de>
- fix makefile problem
- add missing symbolic link to consolehelper
- change version to 0.13 for 7.0
 
* Fri Jun 02 2000 Than Ngo <than@redhat.de>
- use %%configure
- remove wmconfig/isdn-config (obsolete)
- modify PAM setup to use system-auth
 
* Wed May 17 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- minor bug-fixes, schedule isdn startup for complete rewrite

* Mon May  1 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- clean up cvs source tree and some minor tweaks
 
* Sat Apr 29 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- upload current version to rawhide
 
* Mon Apr 03 2000 Ngo Than <than@redhat.de>
- fixed a authentication problem with T-Online
- fixed typos in isdncard file (Teles PnP)
- fixed a dialout problem with rawip
- added chhup, cbdelay
 
* Fri Mar 16 2000 Ngo Than <than@redhat.de>
- fixed typos in isdn script
- DNS1 and DNS2 are now correct
- fixed fill out domain name in resolv.conf
- disable provider are showed in the list by start of isdn-config
- loading inactive provider was fixed
- fixed a problem by removing provider
- added support callback, security
- added some call by call provider to isdn database
 
* Thu Mar 16 2000 Ngo Than <than@redhat.de>
- fixed a problem with teles 16.3c Pnp in isdncard list
- added a lot of german providers to isdn database
 
* Fri Mar 10 2000 Ngo Than <than@redhat.de>
- fixed i18n problem, now support german language
- some major changes in Makefiles
 
* Sat Mar 4 2000 Ngo Than <than@redhat.de>
- added ISDN online time
- added provider directory in isdn-config package
- isdn-config can only be started as root.
 
* Thu Mar 2 2000 Ngo Than <than@redhat.de>
- fixed permision problem of resolv.conf
- added ISDN line state
 
* Tue Feb 29 2000 Ngo Than <than@redhat.de>
- fixed overwrite problem of pap and chap secret file
- move isdn.init in isdn4k-utils package to isdn-config package
- fixed problem with static DNS and DOMAIN in /etc/resolv.conf
- fixed overwrite problem in /etc/resolv.conf
- added post to add isdn service in runlevel 2345
 
* Tue Feb 25 2000 Ngo Than <than@redhat.de>
- fixed build problem on alpha machine
- fixed save problem in pap and chap-secret files
 
* Mon Feb 21 2000 Ngo Than <than@redhat.de>
- added consolehelper stuff
- switched to qt
- fixed some major bugs
- added some new ISPS in ISDN database
 
* Thu Feb 17 2000 Ngo Than <than@redhat.de>
- fixed some Bugs in dialwidget again
 
* Thu Feb 17 2000 Ngo Than <than@redhat.de>
- fixed Bugs in dialwidget
 
* Tue Feb 15 2000 Ngo Than <than@redhat.de>
- more isdn cards supported
- englisch and german Doku
- many Bugfixes
 
* Fri Feb 11 2000 Ngo Than <than@redhat.de>
- release stabil version of isdn-config 0.6
 
* Thu Feb 4 2000 Ngo Than <than@redhat.de>
- set National at the top of Treelist
- provider disable has new icon
- fix install in specfile
 
* Thu Feb 3 2000 Ngo Than <than@redhat.de>
- release isdn-config-0.5
 
* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions and summary
 
* Wed Feb 2 2000 Ngo Than <than@redhat.de>
- release isdnconig-0.4
 
* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current snapshot
- rebuild with current qt/kde2libs

* Mon Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM, broken.

